using dataMagus.Common.PlugIn.Generator;

namespace dataMagus.PlugIns.Generators.PostgreSql
{
    partial class ExtendedRelationshipControl : GeneratorControl
	{
		/// <summary>
		/// Designer variable used to keep track of non-visual components.
		/// </summary>
		private System.ComponentModel.IContainer components = null;
		
		/// <summary>
		/// Disposes resources used by the control.
		/// </summary>
		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
		protected override void Dispose(bool disposing)
		{
			if (disposing) {
				if (components != null) {
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent()
		{
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ExtendedRelationshipControl));
            this.referentialIntegrityLabel = new System.Windows.Forms.Label();
            this.onUpdateLabel = new System.Windows.Forms.Label();
            this.onDeleteLabel = new System.Windows.Forms.Label();
            this.onUpdateComboBox = new System.Windows.Forms.ComboBox();
            this.onDeleteComboBox = new System.Windows.Forms.ComboBox();
            this.SuspendLayout();
            // 
            // referentialIntegrityLabel
            // 
            resources.ApplyResources(this.referentialIntegrityLabel, "referentialIntegrityLabel");
            this.referentialIntegrityLabel.Name = "referentialIntegrityLabel";
            // 
            // onUpdateLabel
            // 
            resources.ApplyResources(this.onUpdateLabel, "onUpdateLabel");
            this.onUpdateLabel.Name = "onUpdateLabel";
            // 
            // onDeleteLabel
            // 
            resources.ApplyResources(this.onDeleteLabel, "onDeleteLabel");
            this.onDeleteLabel.Name = "onDeleteLabel";
            // 
            // onUpdateComboBox
            // 
            this.onUpdateComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.onUpdateComboBox.FormattingEnabled = true;
            resources.ApplyResources(this.onUpdateComboBox, "onUpdateComboBox");
            this.onUpdateComboBox.Name = "onUpdateComboBox";
            // 
            // onDeleteComboBox
            // 
            this.onDeleteComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.onDeleteComboBox.FormattingEnabled = true;
            resources.ApplyResources(this.onDeleteComboBox, "onDeleteComboBox");
            this.onDeleteComboBox.Name = "onDeleteComboBox";
            // 
            // ExtendedRelationshipControl
            // 
            resources.ApplyResources(this, "$this");
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.onDeleteComboBox);
            this.Controls.Add(this.onUpdateComboBox);
            this.Controls.Add(this.onDeleteLabel);
            this.Controls.Add(this.onUpdateLabel);
            this.Controls.Add(this.referentialIntegrityLabel);
            this.Name = "ExtendedRelationshipControl";
            this.Load += new System.EventHandler(this.ExtendedRelationshipControlLoad);
            this.Leave += new System.EventHandler(this.ExtendedRelationshipControlLeave);
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        private System.Windows.Forms.Label referentialIntegrityLabel;
        private System.Windows.Forms.Label onUpdateLabel;
        private System.Windows.Forms.Label onDeleteLabel;
        private System.Windows.Forms.ComboBox onUpdateComboBox;
        private System.Windows.Forms.ComboBox onDeleteComboBox;
	}
}
